regina::DiscSetSurfaceData< T > Class Template Reference
Normal Surfaces

Stores data of type `T` for every normal disc within a particular normal surface. More...

`#include <surfaces/disc.h>`

Inheritance diagram for regina::DiscSetSurfaceData< T >:

## Public Member Functions

| DiscSetSurfaceData (const NormalSurface &surface)
| Creates a new disc set corresponding to the discs of the given normal surface. More...
| DiscSetSurfaceData (const NormalSurface &surface, const T &initValue)
| Creates a new disc set corresponding to the discs of the given normal surface. More...
T & | data (const DiscSpec &disc)
| Retrieves a reference to the data corresponding to the given normal disc. More...
size_t | nTets () const
| Returns the number of tetrahedra in the underlying triangulation. More...
unsigned long | nDiscs (size_t tetIndex, int type) const
| Determines the number of discs of the given type inside the given tetrahedron. More...
DiscSetTet & | tetDiscs (size_t tetIndex) const
| Returns the specific set of discs living inside the given tetrahedron. More...
DiscSpec * | adjacentDisc (const DiscSpec &disc, Perm< 4 > arc, Perm< 4 > &adjArc) const
| Determines which normal disc is adjacent to the given normal disc along the given directed normal arc in the surface described by this disc set. More...

## Protected Attributes

DiscSetTet ** | discSets
| The disc sets corresponding to each tetrahedron. More...
const Triangulation< 3 > * | triangulation
| The triangulation in which the normal surface lives. More...

## Detailed Description

### template<class T>
class regina::DiscSetSurfaceData< T >

Stores data of type `T` for every normal disc within a particular normal surface.

This data is stored using an array of DiscSetTetData<T> objects, one for each tetrahedron (thus the inherited member function tetDiscs() will return an object of class DiscSetTetData<T>).

Warning
  This class converts the number of normal discs of a given type from LargeInteger to `unsigned long`. See the precondition below.

Precondition
  The number of normal discs of a particular type in a particular tetrahedron can be represented by a long integer.
  This class should only be used with embedded normal surfaces.
  Type T has a default constructor and an assignment operator. That is, if `a` and `b` are of type T, then `a` can be declared with no parameters and can then receive the value of `b` using `a=b`.

Python:\n Not present.

The documentation for this class was generated from the following file:

- surfaces/disc.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).